W3C home > Mailing lists > Public > www-talk@w3.org > November to December 1996

Re: Call for Closure - HTTP response version

From: Dave Kristol <dmk@research.bell-labs.com>
Date: Tue, 31 Dec 96 16:10:09 EST
Message-Id: <9612312110.AA15267@zp>
To: nemo@koa.iolani.honolulu.hi.us
Cc: http-wg@cuckoo.hpl.hp.com, www-talk@www10.w3.org
  > From dmk Tue Dec 31 15:53:12 1996
  > Resent-Date: Tue, 31 Dec 1996 20:48:33 GMT
  > Date: Tue, 31 Dec 1996 10:45:13 -1000 (HST)
"Joel N. Weber II" <nemo@koa.iolani.honolulu.hi.us> writes:
  > On Tue, 31 Dec 1996, Dave Kristol wrote:
  > 
  > > 1) The HTTP/1.1 draft is clear about which HTTP/1.1 headers cannot be
  > > sent to HTTP/1.0 clients.
  > > 
  > > 2) If an HTTP/1.1 server sends a response labeled as HTTP/1.1, but with
  > > only HTTP/1.0-compatible headers, HTTP/1.0 clients will understand it.
  > > (There are a few known exceptions.)
  > 
  > The way GNU E-scape is written right now, it will send an HTTP/1.0 request.
  > If the first line it gets back contains HTTP/1.0, it treats the response
  > as an HTTP/1.0 response.  Otherwise, it assumes that it's talking to
  > an HTTP/0.9 server, and retries the request as HTTP/0.9
  > 
  > I will change it to react correctly to HTTP/1.x responses if that's
  > what is decided is the correct answer.  I haven't even made a prerelease
  > available to others yet, so there's plenty of time for the decission
  > to be made.

The decision your code makes should not be between "HTTP/1.0" and
other, but between "HTTP/1.*" and other.  Regardless of the choice
arrived at by the working group concerning version number, what you
have now is wrong.

Dave Kristol
Received on Tuesday, 31 December 1996 16:11:59 GMT

This archive was generated by hypermail 2.2.0+W3C-0.50 : Wednesday, 27 October 2010 18:14:20 GMT